> ## Documentation Index
> Fetch the complete documentation index at: https://docs.closerintellect.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Enroll in Automation



## OpenAPI

````yaml POST /automations/{id}/enroll
openapi: 3.0.0
info:
  title: Closer Intellect AI API
  description: >-
    The core API documentation and interactive playground for Closer Intellect
    AI.
  version: '1.0'
  contact: {}
servers: []
security: []
tags: []
paths:
  /automations/{id}/enroll:
    post:
      tags:
        - Automations
      summary: Enroll a single lead into a sequence
      operationId: AutomationsController_enrollLead
      parameters:
        - name: id
          required: true
          in: path
          description: The automation ID
          schema:
            type: number
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/EnrollLeadDto'
      responses:
        '201':
          description: Lead enrolled successfully
      security:
        - bearer: []
components:
  schemas:
    EnrollLeadDto:
      type: object
      properties:
        leadId:
          type: number
          example: 123
      required:
        - leadId
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````